Subject: Re: [AAA-WG]: Comments on draft-ietf-aaa-diameter-mobileip-02.txt

From: Pat Calhoun <[email-masked]>
Date: Fri, 27 Apr 2001 09:03:36 -0700

On Fri, Apr 27, 2001 at 10:26:11AM -0500, Rambabu Tummala wrote:
> > The base protocol is pretty clear in that responses and answers are
> proxied
> > using the Route-Record AVP, not the Destination-Realm AVP.
> 
> I agree it is compliant with base protocol specification.  I guess my
> question then would be how does the response reach the originator of the
> requestor if one of the proxies fail before the response goes through.  
> 
> I guess, I would like to see the text in section 12.4.2 of
> draft-ietf-aaa-diameter-02.txt change from "MUST" to "Should".
> 
> If we remove this restriction it gives flexibility to the protocol.

I agree, and a previous version of the base protocol did in fact allow
for the reverse path to be different from the forwarding path. However,
concensus on the mailing list was that this was not really a feature that
was required, since it introduced too much complexity. 

So the way it currently works is that if a response isn't received because
of a network or host failure, the original request will be resent either
by the NAS, or by a proxy, as specified in the failover text in the base
draft.

> 
> May be there are reasons behind specifying this way. Please enlighten me.

As I mentioned above, the WG believed that the complexity introduced by
supporting such a feature didn't warrant supporting this feature. Furthermore,
there are proxies that maintain state, and not knowing whether a response
will traverse a particular proxy makes this very difficult.

Hope this helps,

PatC

---

From: "Rambabu Tummala" <[email-masked]>
Date: Fri, 27 Apr 2001 10:26:11 -0500

some questions below.

Rambabu Tummala
Nortel Networks
ESN 444-8970
External (972)684-8970

-----Original Message-----
From: Patrice Calhoun [mailto:[email-masked]]
Sent: Thursday, April 26, 2001 3:31 PM
To: Tummala, Rambabu [RICH1:IP35:EXCH]
Cc: 'Tony Johansson'; Patrice Calhoun; [email-masked]
Subject: RE: [AAA-WG]: Comments on
draft-ietf-aaa-diameter-mobileip-02.txt

> Patrice Calhoun wrote:
> 
> > > > The AMA message is missing AVPs Destination-Realm AVP and
> Destination-FQDN
> > > > AVP.  These have to be atleast optional in the AMA message.
> > > > If Destination-Realm AVP is not present in the AMA, how would the
> message be
> > > > routed back to the AAAF from AAAH.
> 
> > You use the Route-Record and not on the Destination-Realm AVP to route
the
> AMA
> > back from the AAAH to the AAAF. So why should the Destination-Realm AVP
be
> present
> > in the AMA?!
> I am not sure what happens to Route-Record AVP, if the AMR travels through
> multiple proxy servers.  I think having Destination-Realm AVP and
> Destination-FQDN are cleanest way to do it.

proxied